Name: platon
Version: 20101011
Release: alt2

Summary: PLATON is a versatile SHELX97 compatible multipurpose crystallographic tool
License: Academic non-commercial use only
Group: Sciences/Chemistry

Url: http://www.cryst.chem.uu.nl/platon/
Source: ftp://xraysoft.chem.uu.nl/pub/unix/%name.tar.gz
Source1: pltn.sh
Source2: ftp://xraysoft.chem.uu.nl/pub/update_history_platon
Source3: PERMISSION.txt

# Automatically added by buildreq on Fri Nov 28 2008
BuildRequires: gcc-fortran libX11-devel

%description
PLATON is a versatile SHELX97 compatible multipurpose
crystallographic tool.

Most PLATON features complement those available in the excellent
and widely distributed SHELX97 package for crystal structure
determination and refinement.

Historically (1980) PLATON started out as a program for the
automated calculation of derived geometrical data (i.e. bond
distances, bond angles and torsion angles, including su's
(esd's)) for structures refined with SHELX76.  Since then,
that basic function evolved into an automatic function to
calculate everything of possible interest (both intra- and
intermolecular)for a given structural parameter set
(Instruction: CALC).

Over time, various other tools were introduced (Molecular
Graphics i.e. PLUTON & ORTEP, Absorption correction, Data
Validation etc.), some of which requiring a reflection datafile
as well.

Several functions in PLATON (e.g. SPGR and EXOR) are there to
implement calculations needed for datareduction, structure
determination and refinement with a program system called
'SYSTEM-S'.

------------------------------------------------------------

Please note that commecrial users should apply for a license:
http://www.cryst.chem.uu.nl/platon/pl030000.html

See also %_defaultdocdir/%{name}*/PERMISSION.txt

%prep
%setup -n %name
gunzip platon.f.gz
gunzip xdrvr.c.gz
tar -vvxf platon_html.tar.gz
mv platon doc
mv TEST test
cp -a %SOURCE2 Changelog
cp -a %SOURCE3 .

%build
g77 %optflags -O0 -o platon platon.f xdrvr.c -lX11

%install
install -d %buildroot%_bindir
install -d %buildroot%_datadir
install -d %buildroot%_libexecdir/%name

install -d %buildroot%_datadir/%name/ABSORB_EXAMPLE
install -d %buildroot%_datadir/%name/ABSTOMPA_EXAMPLE
install -d %buildroot%_datadir/%name/ABSTOMPA_TEST
install -d %buildroot%_datadir/%name/ADDSYM_EXAMPLE
install -d %buildroot%_datadir/%name/ASYM_EXAMPLE
#install -d %buildroot%_datadir/%name/DELABS_EXAMPLE
install -d %buildroot%_datadir/%name/MULABS_EXAMPLE
install -d %buildroot%_datadir/%name/PSICOR_EXAMPLE
install -d %buildroot%_datadir/%name/SQUEEZE_EXAMPLE

install -pm644 check.def %buildroot%_datadir/%name
install -pm755 %name %buildroot%_libexecdir/%name
install -pm755 %SOURCE1 %buildroot%_bindir/pltn

install -pm644 test/ABSORB_EXAMPLE/* %buildroot%_datadir/%name/ABSORB_EXAMPLE/
install -pm644 test/ABSTOMPA_EXAMPLE/* %buildroot%_datadir/%name/ABSTOMPA_EXAMPLE/
install -pm644 test/ABSTOMPA_TEST/* %buildroot%_datadir/%name/ABSTOMPA_TEST/
install -pm644 test/ADDSYM_EXAMPLE/* %buildroot%_datadir/%name/ADDSYM_EXAMPLE/
install -pm644 test/ASYM_EXAMPLE/* %buildroot%_datadir/%name/ASYM_EXAMPLE/
#install -pm644 test/DELABS_EXAMPLE/* %buildroot%_datadir/%name/DELABS_EXAMPLE/
install -pm644 test/MULABS_EXAMPLE/* %buildroot%_datadir/%name/MULABS_EXAMPLE/
install -pm644 test/PSICOR_EXAMPLE/* %buildroot%_datadir/%name/PSICOR_EXAMPLE/
install -pm644 test/SQUEEZE_EXAMPLE/* %buildroot%_datadir/%name/SQUEEZE_EXAMPLE/

%files
%doc README README.ADDSYM README.LEPAGE README.PLUTON Changelog PERMISSION.txt
%doc doc/* doc/images/*
%_bindir/*
%_libexecdir/%name/*

%_datadir/%name/check.def
%_datadir/%name/ABSORB_EXAMPLE/*
%_datadir/%name/ABSTOMPA_EXAMPLE/*
%_datadir/%name/ABSTOMPA_TEST/*
%_datadir/%name/ADDSYM_EXAMPLE/*
%_datadir/%name/ASYM_EXAMPLE/*
#_datadir/%name/DELABS_EXAMPLE/*
%_datadir/%name/MULABS_EXAMPLE/*
%_datadir/%name/PSICOR_EXAMPLE/*
%_datadir/%name/SQUEEZE_EXAMPLE/*

# TODO:
# - spec cleanup
# - consider http://trac.debroglie.net/trac/browser/specs/trunk/platon.spec
# - move doc and examples to noarch subpackages?

%changelog
* Tue Oct 12 2010 Michael Shigorin <mike@altlinux.org> 20101011-alt2
- really merged Denis' spec, shame on me (closes: #23830)

* Tue Oct 12 2010 Michael Shigorin <mike@altlinux.org> 20101011-alt1
- 20101011 (thanks Denis G. Samsonenko)

* Sun Aug 01 2010 Denis G. Samsonenko <d.g.samsonenko@gmail.com> 20101011-alt0.sdg1
- New version

* Sun Aug 01 2010 Denis G. Samsonenko <d.g.samsonenko@gmail.com> 20100716-alt0.sdg2
- optflags added

* Wed Jul 28 2010 Denis G. Samsonenko <d.g.samsonenko@gmail.com> 20100716-alt0.sdg1
- New version

* Sat Feb 20 2010 Michael Shigorin <mike@altlinux.org> 20100121-alt2
- clarified License:
- added PERMISSION.txt to package documentation

* Sat Feb 20 2010 Michael Shigorin <mike@altlinux.org> 20100121-alt1
- accepted changes by Denis (closes: #21582)
- spec cleanup

* Fri Jan 22 2010 Denis G. Samsonenko <d.g.samsonenko@gmail.com> 20100121-alt0.sdg1
- New version

* Sun Jan 03 2010 Denis G. Samsonenko <d.g.samsonenko@gmail.com> 20091218-alt0.sdg1
- New version.
- Minor changes in spec file.
- Biult with -O0 because of crashes (#21582).

* Wed Jun 03 2009 Pavel V. Solntsev <p_solntsev at altlinux.org> 20090603-alt1
- New version. Platon can be started by script pltn.

* Fri May 15 2009 Pavel V. Solntsev <p_solntsev at altlinux.org> 20090513-alt1.M41
- Backport to M41

* Fri May 15 2009 Pavel V. Solntsev <p_solntsev at altlinux.org> 20090513-alt1
- New version
- platon can be run by pltn command

* Thu Mar 12 2009 Pavel V. Solntsev <p_solntsev@altlinux.org> 20090310-alt1
- New version.
- Start script has been updated.

* Fri Feb 27 2009 Pavel V. Solntsev <p_solntsev@altlinux.org> 20090227-alt1
- New version

* Wed Feb 04 2009 Pavel V. Solntsev <p_solntsev@altlinux.org> 20090204-alt1
- New version

* Fri Jan 09 2009 Pavel V. Solntsev <p_solntsev@altlinux.org> 20090107-alt1.M41.1
- Backport M41.

* Fri Jan 09 2009 Pavel V. Solntsev <p_solntsev@altlinux.org> 20090107-alt1
- New version.

* Mon Dec 29 2008 Pavel V. Solntsev <p_solntsev@altlinux.org> 20081215-alt1
- New version. Source code and check.def file are updated.
- Desktop and icon file have been removed.

* Thu Nov 27 2008 Pavel V. Solntsev <p_solntsev at altlinux.org> 20081127-alt1
- First build package for ALTLinux Team
- Package based on the Pascal's Fedora package <pascal22p at parois dot net>.

